libzypp: zypp::target::rpm::librpmDb::db_const_iterator::D Class Reference

libzypp 17.25.10

Public Member Functions | Public Attributes | Private Member Functions | List of all members
zypp::target::rpm::librpmDb::db_const_iterator::D Class Reference

## Public Member Functions
| D (librpmDb::constPtr dbptr_r)
| ~D ()
bool | create (int rpmtag, const void *keyp=NULL, size_t keylen=0)
| Let iterator access a dbindex file. More...
bool | destroy ()
| Destroy iterator. More...
bool | advance ()
| Advance to the first/next header in iterator. More...
bool | init (int rpmtag, const void *keyp=NULL, size_t keylen=0)
| Access a dbindex file and advance to the 1st header. More...
bool | set (int off_r)
| Create an itertator that contains the database entry located at off_r, and advance to the 1st header. More...
unsigned | offset ()
int | size ()

## Public Attributes
librpmDb::constPtr | _dbptr
shared_ptr< RpmException > | _dberr
RpmHeader::constPtr | _hptr
rpmdbMatchIterator | _mi

## Private Member Functions
D & | operator= (const D &)
| D (const D &)

## Detailed Description

Definition at line 486 of file librpmDb.cc.

## Constructor & Destructor Documentation

## ◆ D() [1/2]

zypp::target::rpm::librpmDb::db_const_iterator::D::D | ( | const D & |  | ) |
| private

## ◆ D() [2/2]

zypp::target::rpm::librpmDb::db_const_iterator::D::D | ( | librpmDb::constPtr | dbptr_r | ) |
| inline

Definition at line 498 of file librpmDb.cc.

## ◆ ~D()

zypp::target::rpm::librpmDb::db_const_iterator::D::~D | ( |  | ) |
| inline

Definition at line 523 of file librpmDb.cc.

## Member Function Documentation

## ◆ operator=()

D& zypp::target::rpm::librpmDb::db_const_iterator::D::operator= | ( | const D & |  | ) |
| private

## ◆ create()

bool zypp::target::rpm::librpmDb::db_const_iterator::D::create | ( | int | rpmtag,
|  | const void * | keyp = `NULL`,
|  | size_t | keylen = `0`
| ) |  |
| inline

Let iterator access a dbindex file.

Call advance to access the 1st element (if present).

Definition at line 535 of file librpmDb.cc.

## ◆ destroy()

bool zypp::target::rpm::librpmDb::db_const_iterator::D::destroy | ( |  | ) |
| inline

Destroy iterator.

Invalidates _dbptr, if database was blocked meanwile. Always returns false.

Definition at line 548 of file librpmDb.cc.

## ◆ advance()

bool zypp::target::rpm::librpmDb::db_const_iterator::D::advance | ( |  | ) |
| inline

Advance to the first/next header in iterator.

Destroys iterator if no more headers available.

Definition at line 568 of file librpmDb.cc.

## ◆ init()

bool zypp::target::rpm::librpmDb::db_const_iterator::D::init | ( | int | rpmtag,
|  | const void * | keyp = `NULL`,
|  | size_t | keylen = `0`
| ) |  |
| inline

Access a dbindex file and advance to the 1st header.

Definition at line 585 of file librpmDb.cc.

## ◆ set()

bool zypp::target::rpm::librpmDb::db_const_iterator::D::set | ( | int | off_r | ) |
| inline

Create an itertator that contains the database entry located at off_r, and advance to the 1st header.

Definition at line 596 of file librpmDb.cc.

## ◆ offset()

unsigned zypp::target::rpm::librpmDb::db_const_iterator::D::offset | ( |  | ) |
| inline

Definition at line 608 of file librpmDb.cc.

## ◆ size()

int zypp::target::rpm::librpmDb::db_const_iterator::D::size | ( |  | ) |
| inline

Definition at line 613 of file librpmDb.cc.

## Member Data Documentation

## ◆ _dbptr

librpmDb::constPtr zypp::target::rpm::librpmDb::db_const_iterator::D::_dbptr

Definition at line 492 of file librpmDb.cc.

## ◆ _dberr

shared_ptr<RpmException> zypp::target::rpm::librpmDb::db_const_iterator::D::_dberr

Definition at line 493 of file librpmDb.cc.

## ◆ _hptr

RpmHeader::constPtr zypp::target::rpm::librpmDb::db_const_iterator::D::_hptr

Definition at line 495 of file librpmDb.cc.

## ◆ _mi

rpmdbMatchIterator zypp::target::rpm::librpmDb::db_const_iterator::D::_mi

Definition at line 496 of file librpmDb.cc.

The documentation for this class was generated from the following file:

- zypp/target/rpm/librpmDb.cc